Mandriva Linux Security Advisory : bash (MDVSA-2010:004)

This script is Copyright (C) 2010-2016 Tenable Network Security, Inc.


Synopsis :

The remote Mandriva Linux host is missing one or more security
updates.

Description :

A vulnerability have been discovered in Mandriva bash package, which
could allow a malicious user to hide files from the ls command, or
garble its output by crafting files or directories which contain
special characters or escape sequences (CVE-2010-0002). This update
fixes the issue by disabling the display of control characters by
default.

Additionally, this update fixes the unsafe file creation in bash-doc
sample scripts (CVE-2008-5374).

Packages for 2008.0 are provided for Corporate Desktop 2008.0
customers.

Solution :

Update the affected bash and / or bash-doc packages.

Risk factor :

Medium / CVSS Base Score : 6.9
(CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 6.0
(CVSS2#E:ND/RL:OF/RC:ND)
Public Exploit Available : true

Family: Mandriva Local Security Checks

Nessus Plugin ID: 43880 (mandriva_MDVSA-2010-004.nasl)

Bugtraq ID: 32733

CVE ID: CVE-2008-5374
CVE-2010-0002

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now